Subject: bug#31456: guix size tries to fetch substitute information for installed package.

From: Martin Castillo <[email-masked]>
Date: Tue, 15 May 2018 00:22:17 +0200

On 14.05.2018 22:10, Martin Castillo wrote:
> I'm on guix 563ab27bd4caead5676bbd515c54b25100c98960 on guixsd.
> $ guix package -I; contains
> lilypond	2.19.80	out
> /gnu/store/jhmz7wpb93hryzqq32kcb4fs9cd84jyi-lilypond-2.19.80
> I installed lilypond with that guix version.
> 
> $ guix size lilypond; gives me
> guix size: error: no available substitute information for
> '/gnu/store/6zyrglcmk8l4xpwvg6hgq1al81d7fr1w-lilypond-2.19.80'
> 
> I have no idea how this happens.
> A wild guess is that store/jhmz.. is a grafted version, and guix size
> looks for the ungrafted one?

Seems like this is exactly what is happening. guix build --no-grafts
lilypond gave me
/gnu/store/6zyrglcmk8l4xpwvg6hgq1al81d7fr1w-lilypond-2.19.80
and guix size lilypond works as usual.

-- 
GPG: 7FDE 7190 2F73 2C50 236E  403D CC13 48F1 E644 08EC